<CsoundSynthesizer>
<CsInstruments>

/***************************************************

	MIDI Out Test
		-ma++ 12/04

***************************************************/

nchnls = 2

;massign 1, 0

instr 1

inote init 64

kmaxdensity invalue "maxdens"
kmin invalue "min"
kmax invalue "max"

initpt:
	kcount init 0
	idens linrand kmaxdensity
	idens = idens+200
	if (kcount > idens) then
		noteoff 1, inote, 0
		
		inote linrand i(kmax-kmin)
		inote = inote + i(kmin)
		ivol linrand 80
		idur linrand 1
		noteondur 1, inote, ivol+47, idur
		printks "new midinote: %d %d %f %n", 0, inote, ivol+47, idur
		reinit initpt
	endif
	kcount = kcount+1

endin

</CsInstruments>
<CsScore>
f1 0 512 10 1

i1 0 88888
</CsScore>

</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: None
Listing: ioObject
WindowBounds: 66 44 839 672
Options: -b512 -A -s -m7 -R -M0 -Q0 
</MacOptions>
<MacGUI>
ioView background {65535, 64997, 56784}
ioText {53, 6} {39, 28} label 0.000000 0.001000 "" center "Futura" 12 {0, 0, 0} {65535, 65535, 65535} nobackground noborder Min
ioListing {30, 196} {550, 337}
ioSlider {51, 122} {202, 34} 100.000000 20000.000000 14063.830078 maxdens
ioKnob {44, 34} {48, 48} 0.000000 127.000000 1.000000 65.000008 min
ioKnob {134, 34} {48, 48} 0.000000 127.000000 1.000000 29.999989 max
ioText {76, 14} {50, 24} display 65.000008 0.001000 "min" center "Futura" 9 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
ioText {167, 13} {74, 24} display 29.999989 0.001000 "max" center "Futura" 9 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
ioText {139, 5} {39, 28} label 0.000000 0.001000 "" center "Futura" 12 {0, 0, 0} {65535, 65535, 65535} nobackground noborder Max
ioText {84, 100} {90, 27} label 0.000000 0.001000 "" center "Futura" 12 {0, 0, 0} {65535, 65535, 65535} nobackground noborder Max Density
ioText {157, 94} {74, 24} display 14063.830078 0.001000 "maxdens" center "Futura" 9 {0, 0, 0} {65535, 65535, 65535} nobackground noborder 
</MacGUI>
