<MacOptions>
Version: 1
Render: File
Ask: Yes
Options: -b128 -A -s -m7 -R 
</MacOptions>
<MacGUI>
ioView nobackground {65535, 65535, 65535}
</MacGUI>
<CsoundSynthesizer>
<CsInstruments>
; 2-channel reverb
;
; ma++ 02.14.02
;
; simple example of an effect that changes the file length

nchnls = 2


instr 1

		 gkrevtime init 6
;     gkrevtime invalue 1 ; set reverb time externally COMING SOON

     a1, a2 ins
     al reverb2 .1*a1, gkrevtime, .6
     ar reverb2 .1*a2, gkrevtime, .6

     outs .5*(a1 + a1), .5*(a2 + ar)

endin


; this instrument handles terminating the score
; we have to extend the length by the reverb time.
instr 9

     ilen filelen "-i" ; get the length of the file in seconds

     ktime init 0
     ktime times

     if (ktime < ilen + gkrevtime) kgoto skip
          event "e", 0, 0  ; terminate now!

skip:
     ; outvalue 111, times ; send out the time for a progress-bar

endin
</CsInstruments>
<CsScore>
i1 0 9999999 ; max length
i9 0 9999999 ; max length
</CsScore>

</CsoundSynthesizer>
