<CsoundSynthesizer>
<CsInstruments>
/**********************************************************************

	MacCsound Tutorial #4
	

	Csound Language Basics (2) - P-fields


	We now add to our instrument from Tutorial #3 to 
	play at different pitches and amplitudes.  We do this
	through additional score parameters [p-fields]. 

**********************************************************************/



instr 1	

	; notice our amp and pitch is now replaced with 'p4'
	; and 'p5', respectively.  these variables represent the
	; the forth and fifth value specified in the i-statement
	; [see the sco!]

	asig oscili p4, p5, 1
	out asig	; send the signal to the output

endin			

</CsInstruments>
<CsScore>
f1 0 512 10 1	; out sine wave


; now our notes - any instrument can use any number of pfields, 
; [ but must use at least 3 ]  

; here we use p4 as amp and p5 as pitch.

;i#	start	dur	amp	cps <----- often, people put comments above a segment of notes showing what each pfield is:
;p1	p2	p3	p4	p5

i1	0	3	5000	500
i1	1	2	2000	750
i1	2	2	7000	100
i1 	2.5 	3	5000	4000
</CsScore>

</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: ioObject
WindowBounds: 107 44 965 768
CurrentView: orc
IOViewEdit: Off
Options: -b512 -A -s -m7 -R 
</MacOptions>
<MacGUI>
ioView nobackground {65535, 65535, 65535}
ioListing {10, 10} {400, 500}
ioGraph {409, 15} {300, 500}
</MacGUI>
