<CsoundSynthesizer>
<CsInstruments>
; strip quad to 32-bit floating-point mono files
;
; ma++ 2005.04.01
;

nchnls = 4

instr 1

ain1, ain2, ain3, ain4 inq

fout "-i.FL", 4, ain1
fout "-i.FR", 4, ain2
fout "-i.BL", 4, ain3
fout "-i.BR", 4, ain4

endin



; this instrument handles terminating the score
; add this to all effects that do not change
; the length of the file.
instr 9

     ilen filelen "-i" ; get the length of the file in seconds

     ktime init 0
     ktime times

     if (ktime < ilen) kgoto skip
          event "e", 0, 0   ; terminate now!

skip:
     ; outvalue 111, times ; send out the time for a progress-bar

endin
</CsInstruments>
<CsScore>
i1 0 9999999 ; maximum length
i9 0 9999999 ; maximum length

</CsScore>

</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: File
Ask: No
Functions: Window
WindowBounds: 230 107 908 591
Options: -b128 -A -onotused -s -m7 -K -R -n 
</MacOptions>
<MacGUI>
ioView nobackground {65535, 65535, 65535}
ioListing {10, 10} {400, 500}
</MacGUI>
